Bug 446312 - Xserver doesn't start.
Xserver doesn't start.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-13 22:11 EDT by Ralph Loader
Modified: 2018-04-11 03:12 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:40:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log file from starting X. (15.09 KB, text/plain)
2008-05-13 22:11 EDT, Ralph Loader
no flags Details
Config file generated by X --configure (2.27 KB, text/plain)
2008-05-13 22:12 EDT, Ralph Loader
no flags Details
log file from successful start with automatically selected intel driver. (24.09 KB, text/plain)
2008-05-16 16:35 EDT, Micha
no flags Details
Log of unsucessful start with i810 driver. (6.13 KB, text/plain)
2008-05-16 16:35 EDT, Micha
no flags Details
xorg.conf created with system-config-display (612 bytes, text/plain)
2008-05-16 16:36 EDT, Micha
no flags Details

  None (edit)
Description Ralph Loader 2008-05-13 22:11:22 EDT
After an update to Fedora-9, X would no longer start with the i810 driver.

Switching to the vesa driver allows X to start.

Will attach config and logs.
Comment 1 Ralph Loader 2008-05-13 22:11:22 EDT
Created attachment 305318 [details]
Log file from starting X.
Comment 2 Ralph Loader 2008-05-13 22:12:01 EDT
Created attachment 305319 [details]
Config file generated by X --configure
Comment 3 Ralph Loader 2008-05-13 22:15:13 EDT
A few more details:

on starting X (either via gdm or by hand) the screen goes blank, no mouse cursor.

I can still switch back to a text VT using Ctrl-Alt-F1 etc.

I can hear a faint repeated chirping sound coming from the PC - I suspect the
video chipset getting repeatedly reconfigured?
Comment 4 Ralph Loader 2008-05-13 22:21:38 EDT
This looks wrong:

(==) intel(0): VideoRam: 131072 KB

It should only be 32Meg:

(II) intel(0): detected 32636 kB stolen memory.
Comment 5 Micha 2008-05-16 16:34:09 EDT
I have the same problem and will add some log file.

The i810 driver does not work. When X starts from init 5, the screen starts
flickering and ends up displaying the text login. Using the intel (experimental
modesetting) driver, X starts correctly.

Log files for both cases will be added. In the case of the intel driver, no
Xorg.conf file was available. The i810 driver was selected via
system-config-display.
Comment 6 Micha 2008-05-16 16:35:09 EDT
Created attachment 305748 [details]
log file from successful start with automatically selected intel driver.
Comment 7 Micha 2008-05-16 16:35:53 EDT
Created attachment 305750 [details]
Log of unsucessful start with i810 driver.
Comment 8 Micha 2008-05-16 16:36:42 EDT
Created attachment 305751 [details]
xorg.conf created with system-config-display
Comment 9 Matěj Cepl 2008-05-23 13:59:53 EDT
(In reply to comment #5)
> The i810 driver does not work. When X starts from init 5, the screen starts
> flickering and ends up displaying the text login. Using the intel 
> (experimental modesetting) driver, X starts correctly.

I don't think it is the same issue, and moreover i810 driver is not actively
developed anymore. You will be probably better served just to use intel driver.
Comment 10 Bug Zapper 2009-06-09 20:46:30 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-07-14 13:40:35 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.